part of tecfy_basic_package;

class TextFormLabel extends StatelessWidget {
  final String value;
  final String label;
  final String? description;
  final TextStyle? valueStyle;
  TextFormLabel(
      {required this.label,
      this.description,
      required this.value,
      this.valueStyle});
  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        SizedBox(height: 10),
        Tooltip(
            message: description ?? '',
            child: Text(label,
                style:
                    TextStyle(color: ThemeService.textSubColor, fontSize: 11))),
        SelectableText(value,
            style: valueStyle ?? TextStyle(color: Colors.black, fontSize: 15)),
        SizedBox(height: 10),
        Container(height: 1, color: ThemeService.textSubColor),
        SizedBox(height: 5),
      ],
    );
  }
}
